Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.rules
Class AbleGuiFuzzySetChartable

    java.lang.Object
      java.util.Observable
          com.ibm.able.rules.AbleGuiFuzzySetChartable

All Implemented Interfaces:
  jclass.chart.Chartable, java.io.Serializable

public class AbleGuiFuzzySetChartable
extends java.util.Observable
implements jclass.chart.Chartable, java.io.Serializable

This class defines a specialized Fuzzy System fuzzy set wrapper that allows fuzzy sets to be displayed by KLG's JChart classes.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface jclass.chart.Chartable
`ARRAY, GENERAL`

Constructor Summary
`AbleGuiFuzzySetChartable(java.util.Vector theFuzzySetList)` Create a new chartable object over a set of specified fuzzy sets.

Method Summary
`int` | `getDataInterpretation()`
`java.lang.Object` | `getDataItem(int theRow, int theColumn)`
`java.lang.String` | `getName()`
`int` | `getNumRows()`
`java.lang.String[]` | `getPointLabels()`
`java.util.Vector` | `getRow(int theRow)`
`java.lang.String` | `getSeriesLabel(int theRow)`
`java.lang.String` | `getSeriesName(int theRow)`
`AbleFuzzySet` | `getSet(int theIndex)` Retrieve a fuzzy set from the set list.
`void` | `letEmKnow()` Let all observers know that the fuzzy set has changed.

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbleGuiFuzzySetChartable

    public AbleGuiFuzzySetChartable(java.util.Vector theFuzzySetList)

  Create a new chartable object over a set of specified fuzzy sets.

Parameters:
  `theFuzzySetList` - A list of fuzzy set (AbleFuzzySet) objects that are to be charted on a single graph. The list may contain one or more sets, but the list must not be empty or null!

Method Detail

### getDataItem

    public java.lang.Object getDataItem(int theRow,
                                        int theColumn)

  Specified by:
    `getDataItem` in interface `jclass.chart.Chartable`

### getNumRows

    public int getNumRows()

  Specified by:
    `getNumRows` in interface `jclass.chart.Chartable`

### getRow

    public java.util.Vector getRow(int theRow)

  Specified by:
    `getRow` in interface `jclass.chart.Chartable`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `jclass.chart.Chartable`

### getDataInterpretation

    public int getDataInterpretation()

  Specified by:
    `getDataInterpretation` in interface `jclass.chart.Chartable`

### getPointLabels

    public java.lang.String[] getPointLabels()

  Specified by:
    `getPointLabels` in interface `jclass.chart.Chartable`

### getSeriesName

    public java.lang.String getSeriesName(int theRow)

  Specified by:
    `getSeriesName` in interface `jclass.chart.Chartable`

### getSeriesLabel

    public java.lang.String getSeriesLabel(int theRow)

  Specified by:
    `getSeriesLabel` in interface `jclass.chart.Chartable`

### letEmKnow

    public void letEmKnow()

  Let all observers know that the fuzzy set has changed.

### getSet

    public AbleFuzzySet getSet(int theIndex)

  Retrieve a fuzzy set from the set list.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005